Bug 1476804 - Setting non-mgmt network as default route network while not attached to host will keep ovirtmgmt as out of sync
Setting non-mgmt network as default route network while not attached to host ...
Status: CLOSED NOTABUG
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
4.2.0
x86_64 Linux
low Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Dan Kenigsberg
Meni Yakove
:
Depends On:
Blocks: 1200963
  Show dependency treegraph
 
Reported: 2017-07-31 09:45 EDT by Michael Burman
Modified: 2017-08-09 01:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 04:00:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2?


Attachments (Terms of Use)
Logs (279.78 KB, application/x-gzip)
2017-07-31 09:45 EDT, Michael Burman
no flags Details

  None (edit)
Description Michael Burman 2017-07-31 09:45:57 EDT
Created attachment 1307077 [details]
Logs

Description of problem:
Setting non-mgmt network as default route network while not attached to host will keep ovirtmgmt as out of sync.

We are allow to set a non-mgmt network with all available network roles while not attached to the host. Doing this on the default route property will leave the ovirtmgmt network as out-of-sync.
We should keep the ovirtmgmt synced or block such option. But i'm not sure that this is correct. We need to discuss it.

Version-Release number of selected component (if applicable):
4.2.0-0.0.master.20170730103259.gitb12378f.el7.centos

How reproducible:
100

Steps to Reproduce:
1. Create non-mgmt network and don't attach to any host
2. Via 'Networks' > Clusters > Manage Networks set the non-mgmt network with defualt route


Actual results:
ovirtmgmt is out-of-sync

Expected results:
1) Sync ovirtmgmt
2) Block such scenario
Comment 1 Michael Burman 2017-07-31 09:54:28 EDT
Note that there are 2 different flows for it:

1) Via 'Networks' > Clusters' > Manage Networks > setting the non-mgmt network while not attached to the host will leave the ovirtmgmt as out-of-sync for ever.

2) Via 'Clusters' > 'Logical Network> Manage Networks > setting the non-mgmt network while not attached to the host will sync the ovirtmgmt after 2  minutes+- and host will remain without default route.
Comment 2 Yaniv Lavi 2017-08-02 04:00:43 EDT
After a discussion on this bug, we decided to not fix this as we believe this is a reasonable behavior and we do not want to limit the admin. We do need to make sure the out of sync message is clear.
Comment 3 Michael Burman 2017-08-02 04:20:44 EDT
(In reply to Yaniv Lavi from comment #2)
> After a discussion on this bug, we decided to not fix this as we believe
> this is a reasonable behavior and we do not want to limit the admin. We do
> need to make sure the out of sync message is clear.

This may be a problem and it is a bug.
If user sets a non-mgmt network with default route property and it's not attached to the host(ovirtmgmt is out of sync!, so it is a bug), this will leave the host without default route if the user choose to sync the ovirtmgmt from this point.

- If we decide to not block it, we must take care to sync the ovirtmgmt.
So i think it is a bug, or sync the ovirtmgmt or make sure the admin knows his host is out of sync with management network.
Comment 4 Michael Burman 2017-08-09 01:01:03 EDT
Currently, with the new changes that Martin fixed and about to merge, setting non-mgmt network as default route network while not attached to host will sync ovirtmgmt, but host will be left with out default route in such scenario.
We need to notify the admin that host has no route. See BZ 1477589 to track this.

Note You need to log in before you can comment on or make changes to this bug.